### Class

# Gcr SystemPrompter

#### Description [src]

    class Gcr.SystemPrompter : GObject.Object
    {
      /* No available fields */
    }

A prompter used by implementations of system prompts.

This is a D-Bus service which is rarely implemented. Use `GcrSystemPrompt` to display system prompts.

The system prompter service responds to D-Bus requests to create system prompts and creates `GcrPrompt` type objects to display those prompts.

Pass the GType of the implementation of `GcrPrompt` to `gcr_system_prompter_new()`.

#### Ancestors

- GObject

#### Constructors

###### gcr_system_prompter_new

Create a new system prompter service. This prompter won’t do anything unless you connect to its signals and show appropriate prompts.

#### Instance methods

###### gcr_system_prompter_get_mode

Get the mode for this prompter.

###### gcr_system_prompter_get_prompt_type

Get the `GType` for prompts created by this prompter.

###### gcr_system_prompter_get_prompting

Get whether prompting or not.

###### gcr_system_prompter_register

Register this system prompter on the DBus `connection`.

###### gcr_system_prompter_unregister

Unregister this system prompter on the DBus `connection`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gcr.SystemPrompter:mode

The mode for this prompter.

###### Gcr.SystemPrompter:prompt-type

The `GType` for prompts created by this prompter. This must be a `GcrPrompt` implementation.

###### Gcr.SystemPrompter:prompting

Whether the prompter is prompting or not.

#### Signals

###### Gcr.SystemPrompter::new-prompt

Signal emitted to create a new prompt when needed.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GcrSystemPrompterClass {
      GObjectClass parent_class;
      GcrPrompt* (* new_prompt) (
        GcrSystemPrompter* self
      );

    }

The class for `GcrSystemPrompter`.

###### Class members

`parent_class: GObjectClass`

  Parent class.

`new_prompt: GcrPrompt* (* new_prompt) ( GcrSystemPrompter* self )`

  Default handler for the `GcrSystemPrompter::new-prompt` signal.

#### Virtual methods

###### Gcr.SystemPrompterClass.new_prompt

Default handler for the `GcrSystemPrompter::new-prompt` signal.